summaryrefslogtreecommitdiff
path: root/extensions
diff options
context:
space:
mode:
Diffstat (limited to 'extensions')
-rw-r--r--extensions/openstack-ceilometer.configure2
-rw-r--r--extensions/openstack-network.configure30
-rw-r--r--extensions/openstack-nova.configure8
-rw-r--r--extensions/openstack-time.configure61
4 files changed, 93 insertions, 8 deletions
diff --git a/extensions/openstack-ceilometer.configure b/extensions/openstack-ceilometer.configure
index 9c0b7b6d..a98c4d73 100644
--- a/extensions/openstack-ceilometer.configure
+++ b/extensions/openstack-ceilometer.configure
@@ -66,6 +66,7 @@ if [ -z "$KEYSTONE_TEMPORARY_ADMIN_TOKEN" -o \
-z "$RABBITMQ_USER" -o \
-z "$RABBITMQ_PASSWORD" -o \
-z "$MANAGEMENT_INTERFACE_IP_ADDRESS" -o \
+ -z "$NOVA_VIRT_TYPE" -o \
-z "$CONTROLLER_HOST_ADDRESS" ]; then
echo Some options required for Ceilometer were defined, but not all.
exit 1
@@ -114,6 +115,7 @@ ceilometer_configuration={
'RABBITMQ_PASSWORD': os.environ['RABBITMQ_PASSWORD'],
'MANAGEMENT_INTERFACE_IP_ADDRESS': os.environ['MANAGEMENT_INTERFACE_IP_ADDRESS'],
'CONTROLLER_HOST_ADDRESS': os.environ['CONTROLLER_HOST_ADDRESS'],
+ 'NOVA_VIRT_TYPE': os.environ['NOVA_VIRT_TYPE'],
}
yaml.dump(ceilometer_configuration, sys.stdout, default_flow_style=False)
diff --git a/extensions/openstack-network.configure b/extensions/openstack-network.configure
index 10be5a1c..9128f845 100644
--- a/extensions/openstack-network.configure
+++ b/extensions/openstack-network.configure
@@ -23,6 +23,36 @@ enable(){
"$ROOT/etc/systemd/system/multi-user.target.wants/$1.service"
}
+unnaceptable(){
+ eval echo Unexpected value \$$1 for $1 >&2
+ exit 1
+}
+
+check_bool(){
+ case "$(eval echo \"\$$1\")" in
+ True|'')
+ eval "$1=true"
+ ;;
+ False)
+ eval "$1=false"
+ ;;
+ *)
+ unnaceptable "$1"
+ ;;
+ esac
+}
+
+##########################################################################
+# Check variables
+##########################################################################
+
+check_bool NEUTRON_ENABLE_MANAGER
+check_bool NEUTRON_ENABLE_AGENT
+
+if ! "$NEUTRON_ENABLE_MANAGER" && ! "$NEUTRON_ENABLE_AGENT"; then
+ exit 0
+fi
+
###################
# Enable services #
###################
diff --git a/extensions/openstack-nova.configure b/extensions/openstack-nova.configure
index 213f1852..9e77305d 100644
--- a/extensions/openstack-nova.configure
+++ b/extensions/openstack-nova.configure
@@ -103,14 +103,6 @@ if "$NOVA_ENABLE_CONTROLLER"; then
done
fi
-##########################################################################
-# Change iprange for the interal libvirt to avoid clashes
-# with eth0 ip range
-##########################################################################
-
-sed -i "s/192\.168\.122\./192\.168\.1\./g" \
- "$ROOT"/etc/libvirt/qemu/networks/default.xml
-
##########################################################################
# Generate configuration file
diff --git a/extensions/openstack-time.configure b/extensions/openstack-time.configure
new file mode 100644
index 00000000..4f5c8fbd
--- /dev/null
+++ b/extensions/openstack-time.configure
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Copyright (C) 2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+ROOT="$1"
+
+unnaceptable(){
+ eval echo Unexpected value \$$1 for $1 >&2
+ exit 1
+}
+
+check_bool(){
+ case "$(eval echo \"\$$1\")" in
+ True)
+ eval "$1=true"
+ ;;
+ False|'')
+ eval "$1=false"
+ ;;
+ *)
+ unnaceptable "$1"
+ ;;
+ esac
+}
+check_bool SYNC_TIME_WITH_CONTROLLER
+
+if "$SYNC_TIME_WITH_CONTROLLER"; then
+
+ cat << EOF > "$ROOT"/etc/ntpd.conf
+# We use iburst here to reduce the potential initial delay to set the clock
+server $CONTROLLER_HOST_ADDRESS iburst
+
+# kod - notify client when packets are denied service,
+# rather than just dropping the packets
+#
+# nomodify - deny queries which attempt to modify the state of the server
+#
+# notrap - decline to provide mode 6 control message trap service to
+# matching hosts
+#
+# see ntp.conf(5) for more details
+restrict -4 default limited limited nomodify
+restrict -6 default limited limited notrap nomodify
+EOF
+
+fi